curl --request PATCH \
--url https://api.cal.com/v2/calendars/{calendar}/events/{eventUid} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"start": {
"time": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"end": {
"time": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"title": "<string>",
"description": "<string>",
"attendees": [
{
"email": "<string>",
"name": "<string>",
"self": true,
"optional": true,
"host": true
}
],
"status": "accepted"
}
'import requests
url = "https://api.cal.com/v2/calendars/{calendar}/events/{eventUid}"
payload = {
"start": {
"time": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"end": {
"time": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"title": "<string>",
"description": "<string>",
"attendees": [
{
"email": "<string>",
"name": "<string>",
"self": True,
"optional": True,
"host": True
}
],
"status": "accepted"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start: {time: '2023-11-07T05:31:56Z', timeZone: '<string>'},
end: {time: '2023-11-07T05:31:56Z', timeZone: '<string>'},
title: '<string>',
description: '<string>',
attendees: [{email: '<string>', name: '<string>', self: true, optional: true, host: true}],
status: 'accepted'
})
};
fetch('https://api.cal.com/v2/calendars/{calendar}/events/{eventUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"start": {
"time": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"end": {
"time": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"id": "<string>",
"title": "<string>",
"source": "google",
"description": "<string>",
"locations": [
{
"type": "video",
"url": "<string>",
"label": "<string>",
"password": "<string>",
"meetingCode": "<string>",
"accessCode": "<string>"
}
],
"attendees": [
{
"email": "<string>",
"name": "<string>",
"responseStatus": "accepted",
"self": true,
"optional": true,
"host": true
}
],
"status": "accepted",
"hosts": [
{
"email": "<string>",
"name": "<string>",
"responseStatus": "accepted"
}
],
"calendarEventOwner": {
"email": "<string>",
"name": "<string>"
}
}
}Update meeting details in calendar
Updates event information in the specified calendar provider. If accessed using an OAuth access token, the APPS_WRITE scope is required.
Headers
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
Path Parameters
google The Google Calendar event ID. You can retrieve this by getting booking references from the following endpoints:
Body
Start date and time of the calendar event with timezone information
Show child attributes
Show child attributes
End date and time of the calendar event with timezone information
Show child attributes
Show child attributes
Title of the calendar event
Detailed description of the calendar event
List of attendees. CAUTION: You must pass the entire array with all updated values. Any attendees not included in this array will be removed from the event.
Show child attributes
Show child attributes
Status of the event (accepted, pending, declined, cancelled)
accepted, pending, declined, cancelled "accepted"
Was this page helpful?